## lilypond 2.19.81+really-2.18.2

=== debian/changelog ===
lilypond (2.19.81+really-2.18.2-14) unstable; urgency=medium

  [ Adrian Heine ]
  * Replace now-dropped transitional build-dependency
    texlive-generic-recommended with texlive-plain-generic
    (Closes: #941537, #945889)
  * Update debian/watch
  * Override lintian error about interpreter dependency
    "missing-dep-for-interpreter guile" as we bundle our own guile

  [ Anthony Fok ]
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.5.0 (no change)
  * Change debian-branch from "debian" to "debian/sid".
    Also set "pristine-tar = True" in debian/gbp.conf
  * Update debian/watch to use secure https URL
  * Build-Depends on fontconfig for fc-list explicitly
    even though it is installed as an indirect dependency of fontforge
  * Update debian/rules for debhelper compat 12 and later.
    In particular, "dh_install --list-missing" has been removed,
    replaced by dh_missing
  * Adopt upstream patch to fix FTBFS with Ghostscript 9.50
    by using -dNOSAFER to override its new -dSAFER default.
    See 0013-Fix-for-Ghostscript-9.50.patch  (Closes: #948183)

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 04:49:18 -0700

lilypond (2.19.81+really-2.18.2-13) unstable; urgency=medium

  * New upload to override the accidental upload of the
    experimental version to unstable, effectivly canceling the
    2.18.2-13 upload two days ago.
    We avoid using an epoch because lilypond is expected to release
    their stable version 2.20 before the freeze of buster. The
    "+really" workaround in the Debian version number could be
    removed then.
  * Update script for doc packages
  * Add Multi-Arch: foreign to pdf packages
  * Run wrap-and-sort and cme fix dpkg
  * Update Standards-Version to 4.1.4, no changes needed
  * Use debhelper v11
  * Fix lintian warning: Remove '--with quilt' from debhelper call
    in debian/rules. The package is already using the 3.0 (quilt)
    source format.
  * Remove unneeded patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 12 May 2018 21:22:39 +0200

lilypond (2.18.2-13) unstable; urgency=medium

  * Switch lilypond-invoke-editor to use system* instead of system to fix
    CVE-2017-17523 for non textedit:// URIs. (Closes: #884136)
    This fixes the newly assigned CVE-2018-10992.

 -- Don Armstrong <don@debian.org>  Thu, 10 May 2018 17:24:03 -0700

lilypond (2.18.2-12) unstable; urgency=medium

  * Fix argument injection in lilypond-invoke-editor, CVE-2017-17523.
    This is a cherry-pick of upstream's fix, see
    https://sourceforge.net/p/testlilyissues/issues/5243/ (Closes: #884136)
  * Update Standards-Version to 4.1.3, no changes needed
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o and add default branch for git

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 29 Jan 2018 20:59:58 +0100

lilypond (2.18.2-11) unstable; urgency=medium

  * Fix typo in d/copyright, spotted by lintian
  * Remove unused lintian overrides
  * Fix typo in package description
  * Remove Replaces/Breaks for lilypond-doc (<< 2.16.2-1~exp+1).
    Even oldstable has 2.18.2-4, so an upgrade should be possible
    without problems.
  * Remove obsolete package name lilypond1.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Oct 2017 13:09:20 +0200

lilypond (2.18.2-10) unstable; urgency=medium

  * Remove now useless mktexlsr calls and such from lilypond-doc.post{inst,rm}.
    Thanks to Julian Gilbey (Closes: #771732)
  * Fix typo in Vcs-Browser URL
  * Use fonts-freefont-otf instead of fonts-freefont-ttf
  * Update watch file for new upstream location
  * Update Standards-Version to 4.1.1, no changes needed
  * Use debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Oct 2017 08:46:31 +0200
