=== debian/watch ===
# LilyPond watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
# we will ignore all odd minor version numbers, because they are developmental versions
version=4
https://lilypond.org/download/source/v(\d+\.\d*[02468])/lilypond-(.*)\.tar\.gz
