## lilypond 2.19.83

=== debian/changelog ===
lilypond (2.19.83-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.83
    - Refresh patch
  * Switch watch file to unstable releases for experimental

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 23 Mar 2019 13:55:24 +0100

lilypond (2.19.82-1~exp1) experimental; urgency=medium

  * New upstream version 2.19.82
  * Refresh patches and remove patches which have been included upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Aug 2018 13:17:06 +0200
