=== debian/watch ===
# For the stable releases of LilyPond, ignore all odd minor version numbers,
# because they are developmental versions.
# http://lilypond.org/download/sources/v(\d+\.\d*[02468])/
version=4
http://lilypond.org/download/sources/v(\d+\.\d+)/lilypond-(.*)\.tar\.gz
