## lilypond 2.20.0

=== debian/changelog ===
lilypond (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * Merge branch 'debian/experimental' into debian/sid
  * Revert "Adopt upstream patch to fix FTBFS with Ghostscript 9.50"
    as it is already included in 2.20.0 release
  * Refresh debian/patches/use_cstring_and_ctype_includes
  * Update debian/copyright
  * Remove build-dependency on autotools-dev, unneeded since
    debhelper-compat (= 10)

 -- Anthony Fok <foka@debian.org>  Wed, 04 Mar 2020 16:36:44 -0700

lilypond (2.19.84-1~exp1) experimental; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Update script for doc packages
  * Add Multi-Arch: foreign to pdf packages
  * Fix lintian warning: Remove '--with quilt' from debhelper call
    in debian/rules.
    The package is already using the 3.0 (quilt) source format.

  [ Adrian Heine ]
  * Replace now-dropped transitional build-dependency
    texlive-generic-recommended with texlive-plain-generic
    (Closes: #941537, #945889)

  [ Anthony Fok ]
  * New upstream version 2.19.84
  * debian/changelog: Merge changelog entries from 2.18 branch
  * Rename debian-branch to debian/experimental to comply with DEP14
  * Run wrap-and-sort and "cme fix dpkg" which, beside pretty formatting
    debian/control, debian/copyright and debian/patches/*, also upgrades
    to debhelper-compat (= 12) and bumps Standards-Version to 4.5.0
  * Switch to Python 3
  * Refresh debian/patches/more_debug_output_during_build
  * 0013-Issue-5690-2-Fix-extractpdfmark-with-GhostScript-9.5.patch:
    Cherry-pick and refresh upstream patch to fix FTBFS due to
    Ghostscript 9.50 now enabling -dSAFER by default. (Closes: #948183)
  * Update debian/rules for debhelper compat 12 and later.
    In particular, "dh_install --list-missing" has been removed,
    replaced by dh_missing.
  * debian/control: Remove from Vcs-Git the default "debian" branch,
    and let Salsa serve the new default branch, which is "debian/sid"

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 14:27:00 -0700
