=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Priority: optional
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                bison,
                dblatex,
                debhelper-compat (= 12),
                dh-exec,
                dh-python,
+               extractpdfmark,
                flex,
                fontconfig,
                fontforge,
                fonts-freefont-otf,
                fonts-ipafont-mincho,
                fonts-linuxlibertine,
+               fonts-texgyre,
                gettext,
                ghostscript,
                groff,
@@ -147,6 +148,20 @@
  This package contains the HTML documentation for the LilyPond music
  typesetting software.
 
+Package: lilypond-doc-html-ca
+Architecture: all
+Section: doc
+Depends: install-info,
+         lilypond-doc-html,
+         ${misc:Depends}
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond HTML Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the HTML documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-html-cs
 Architecture: all
 Section: doc
@@ -273,6 +288,20 @@
  This package contains the HTML documentation in Chinese for the
  LilyPond music typesetting software.
 
+Package: lilypond-doc-pdf-ca
+Architecture: all
+Section: doc
+Depends: install-info,
+         ${misc:Depends}
+Recommends: evince | pdf-viewer
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond PDF Documentation in Catalan
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the PDF documentation in Catalan for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-pdf-de
 Architecture: all
 Multi-Arch: foreign
@@ -318,31 +347,3 @@
  This package contains the PDF documentation in French for the
  LilyPond music typesetting software.
 
-Package: lilypond-doc-pdf-hu
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: install-info,
-         ${misc:Depends}
-Recommends: evince | pdf-viewer
-Suggests: lilypond (>= ${source:Version})
-Description: LilyPond PDF Documentation in Hungarian
- LilyPond is a music typesetter, an automated engraving system.  It
- produces beautiful sheet music using a high level description file as input.
- .
- This package contains the PDF documentation in Hungarian for the
- LilyPond music typesetting software.
-
-Package: lilypond-doc-pdf-it
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: install-info,
-         ${misc:Depends}
-Recommends: evince | pdf-viewer
-Suggests: lilypond (>= ${source:Version})
-Description: LilyPond PDF Documentation in Italian
- LilyPond is a music typesetter, an automated engraving system.  It
- produces beautiful sheet music using a high level description file as input.
- .
- This package contains the PDF documentation in Italian for the
