=== debian/watch ===
# For the stable releases of LilyPond, ignore all odd minor version numbers,
# because they are developmental versions.
# https://lilypond.org/download/sources/v(\d+\.\d+)/ \
version=4
  http://lilypond.org/download/sources/v(\d+\.\d*[02468])/ \
  lilypond-([\d\.]+)\.tar\.gz
