## lilypond 2.22.0

=== debian/changelog ===
lilypond (2.22.0-6) unstable; urgency=medium

  * debian/control: Build-Depends on fonts-urw-base35 explicitly.
    LilyPond's configure recommends installing "URW++ OTF fonts", and while
    libgs9-common happens to depend on fonts-urw-base35 since 2019-07-24
    with ghostscript (>= 9.27~dfsg-3) for bullseye but not for buster.
  * lilypond-doc.maintscript: dir_to_symlink /usr/share/info/lilypond.
    Fixes Lintian "lilypond-doc: info-document-missing-image-file" warnings.
    This was previously symlink_to_dir, see changelog for 2.18.2-4 from 2014.
  * lilypond-doc.doc-base-special: Remove reference to *.txt files
    which are no longer installed.  Fixes Lintian error "lilypond-doc:
    doc-base-file-references-missing-file lilypond-doc:10
    /usr/share/doc/lilypond/html/Documentation/*.txt*".
  * Refresh and reinstate debian/patches/add_dircategories_to_documentation.
    Fixes Lintian errors info-document-missing-dir-entry and
    info-document-missing-dir-entry, see #648689.  Note that for
    Documentation/{de,en,fr,it}/web.texi, I was unable to apply the patches
    as is, so these files may need to be fixed in the future.
    (Closes: #981491)
  * Remove obsolete debian/preinst (lilypond.preinst)
    that I wrote over 20 years ago to fix my previous packaging error
    regarding LilyPond TeX font installation, but is no longer relevant
    for LilyPond 2.x, and created an unnecessary dependency on tetex-bin
    or texlive-binaries due to its use of kpsewhich...
    Thanks to Mauro Sacchetto for noticing something amiss and reported it.
    (Closes: #943707)

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 07:06:06 -0700

lilypond (2.22.0-5) unstable; urgency=medium

  * debian/control: lilypond-doc: Add "Breaks: lilypond-doc-html (<< 2.21)"
    in addition to the Replaces that was added in 2.21.82-1~exp2 and 2.22.0-1
    because "[n]ormally, Breaks should be used in conjunction with Replaces"
    according to Debian Policy 7.6.
    Thanks to Andreas Beckmann for the detailed bug report (Closes: #979406)

 -- Anthony Fok <foka@debian.org>  Tue, 26 Jan 2021 06:00:57 -0700

lilypond (2.22.0-4) unstable; urgency=medium

  * debian/control: Build-depends on imagemagick for kfreebsd-any
    otherwise build would not even pass the configure stage
  * debian/rules: Comment out architecture-specific --disable-optimising
    as it does not seem to be needed for any architecture any more

 -- Anthony Fok <foka@debian.org>  Sun, 24 Jan 2021 00:48:09 -0700

lilypond (2.22.0-3) unstable; urgency=medium

  * debian/rules:
    - Set --enable-optimization on i386 and kfreebsd-i386, and
      set --disable-optimization on hppa and see if it passes the test
    - Add override_dh_auto_test-arch to allow "dh_auto_test -a" to fail
      on hppa, kfreebsd-amd64 and kfreebsd-i386:
      + hppa: fails on snippet-names-e9c0d84b44e6ce39576ac3a756562e43.ly
      + kfreebsd-amd64 and kfreebsd-i386: imagemagick.q16 is missing 
  * debian/control:
    - Skip build-dependency of imagemagick.q16 on kfreebsd-any

 -- Anthony Fok <foka@debian.org>  Sat, 23 Jan 2021 08:03:00 -0700

lilypond (2.22.0-2) unstable; urgency=medium

  * Workaround missing PATH_MAX on Hurd (lily/lily-guile.cc)
    to fix FTBFS on Hurd.  See debian/patches/0003-Hurd-PATH_MAX.patch
  * Revert "debian/control: Build-depend imagemagick-6.q16 instead of
    imagemagick" for this non-experimental build and see if this would
    resolve the BD-Uninstallable status due to "libheif1 depends on missing:
    - libx265-179:kfreebsd-i386 (>= 3.2)" on kfreebsd-amd64 and kfreebsd-i386

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 22:58:17 -0700

lilypond (2.22.0-1) unstable; urgency=medium

  * New upstream version 2.22.0 (Closes: #979839, #951801)
  * Remove embedded guile-1.8 and migrate to system guile-2.2
    (Closes: #746005, #852871)
  * debian/gbp.conf: Remove guile18 component
  * debian/{control,rules}: Migrate from python2 to python3
  * debian/rules:
    - Run "make doc" with "-j" option in addition to CPU_COUNT
      as suggested in INSTALL.txt for even faster build
    - Remove "nuke the parser files" workaround
      as lily/out/parser.* no longer exist in upstream source
    - Remove empty override_dh_auto_test-arch
      as the tests no longer fail without built documentation
    - Remove override_dh_auto_test-indep as the added "make test-baseline"
      is not suited for automated Debian builds
    - Try to "git restore configure" in override_dh_auto_clean
  * debian/control:
    - lilypond-doc: Add Replaces: lilypond-doc-html (<< 2.21.82-1~)
      to avoid upgrade error due to web files reorganization
    - Build-depend imagemagick-6.q16 instead of imagemagick.
      "imagemagick" became a dummy package in Debian 9 "stretch",
      and the aspcud resolver used by experimental buildd would install
      graphicsmagick-imagemagick-compat (which Provides: imagemagick)
      which is not that compatible after all and caused lilypond to FTBFS
    - Remove Authors paragraph from package description
      as the development team is much larger than before
    - Bump Standards-Version to 4.5.1 (no change)
  * debian/lilypond.docs: Rename README.txt to README.md as per upstream
  * Adjust documentation install file lists for LilyPond 2.21/2.22:
    - debian/doc_languages.txt: Add PDF package for Portuguese
    - debian/update_doc_packages: Adjust install file lists for new version
    - debian/lilypond-doc.install: Remove the no-longer-existing
      usr/share/doc/lilypond/html/Documentation/*.txt entry
    - Run "debian/rules update-doc-packages"
    - Add debian/not-installed to avoid dh_missing errors with debhelper 13
  * debian/patches: Delete obsolete patches and disable others for now
  * debian/remove_w3c_callback: Recognize https too, to fix Lintian
    privacy-breach-w3c-valid-html errors
  * Adjust debian/lilypond-doc.install and debian/rules
    so that the PNG files stay with lilypond-doc package

