=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: lilypond
-Maintainer: Don Armstrong <don@debian.org>
-Uploaders: Anthony Fok <foka@debian.org>,
+Maintainer: Anthony Fok <foka@debian.org>
+Uploaders: Don Armstrong <don@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: autoconf,
-               automake,
-               bison,
+Build-Depends: bison,
                dblatex,
-               debhelper-compat (= 12),
-               dh-exec,
+               debhelper-compat (= 13),
                dh-python,
                extractpdfmark,
                flex,
@@ -19,26 +16,24 @@
                fonts-ipafont-mincho,
                fonts-linuxlibertine,
                fonts-texgyre,
+               fonts-urw-base35,
                gettext,
                ghostscript,
                groff,
-               gsfonts | gsfonts-x11,
+               gsfonts,
+               guile-2.2-dev,
                help2man,
-               imagemagick,
+               imagemagick [kfreebsd-any],
+               imagemagick-6.q16 [!kfreebsd-any],
                libfl-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
-               libgmp-dev,
-               libltdl-dev,
-               libncurses5-dev,
                libpango1.0-dev,
-               libreadline6-dev,
-               libtool,
                m4,
                mftrace,
                netpbm,
                pkg-config,
-               python-all-dev,
+               python3,
                rsync,
                texi2html,
                texinfo,
@@ -50,21 +45,24 @@
                texlive-plain-generic,
                zip
 Build-Conflicts: fonts-noto-cjk
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/lilypond
 Vcs-Git: https://salsa.debian.org/debian/lilypond.git
 Homepage: http://lilypond.org/
+Rules-Requires-Root: no
 
 Package: lilypond
 Architecture: any
 Depends: ghostscript,
+         guile-2.2,
          lilypond-data (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Recommends: texlive-latex-base
-Suggests: lilypond-doc
-Breaks: ${python:Breaks}
+Suggests: lilypond-doc,
+          python3-lxml
+Breaks: ${python3:Breaks}
 Description: program for typesetting sheet music
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -85,23 +83,30 @@
  RoseGarden and NoteEdit GUIs, and can import ABC, ETF and MIDI.
  .
  LilyPond is part of the GNU Project.
- .
-  Authors: Han-Wen Nienhuys <hanwen@cs.uu.nl>
-           Jan Nieuwenhuizen <janneke@gnu.org>
 
 Package: lilypond-data
 Architecture: all
-Depends: texinfo | texlive-texinfo,
-         texlive-base-bin,
+Depends: lilypond-fonts,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: lilypond (>= ${source:Version})
-Breaks: ${python:Breaks}
+Breaks: ${python3:Breaks}
 Description: LilyPond music typesetter (data files)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
  .
  This package contains architecture-independent data files for LilyPond.
+
+Package: lilypond-fonts
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: lilypond-data (<< 2.20.0-3~)
+Replaces: lilypond-data (<< 2.20.0-3~)
+Description: LilyPond music typesetter (fonts)
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains font files for LilyPond.
 
 Package: lilypond-doc
 Architecture: all
@@ -112,6 +117,8 @@
             lilypond-doc-pdf
 Suggests: lilypond (>= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: lilypond-doc-html (<< 2.21)
+Replaces: lilypond-doc-html (<< 2.21)
 Description: LilyPond Documentation in info format (and metapackage)
  LilyPond is a music typesetter, an automated engraving system.  It
  produces beautiful sheet music using a high level description file as input.
@@ -274,6 +281,20 @@
  This package contains the HTML documentation in Dutch for the
  LilyPond music typesetting software.
 
+Package: lilypond-doc-html-pt
+Architecture: all
+Section: doc
+Depends: install-info,
+         lilypond-doc-html,
+         ${misc:Depends}
+Suggests: lilypond (>= ${source:Version})
+Description: LilyPond HTML Documentation in Portuguese
+ LilyPond is a music typesetter, an automated engraving system.  It
+ produces beautiful sheet music using a high level description file as input.
+ .
+ This package contains the HTML documentation in Portuguese for the
+ LilyPond music typesetting software.
+
 Package: lilypond-doc-html-zh
 Architecture: all
 Section: doc
@@ -290,6 +311,7 @@
 
 Package: lilypond-doc-pdf-ca
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: install-info,
          ${misc:Depends}
@@ -325,25 +347,3 @@
          ${misc:Depends}
 Recommends: evince | pdf-viewer
 Suggests: lilypond (>= ${source:Version})
-Description: LilyPond PDF Documentation in Spanish
- LilyPond is a music typesetter, an automated engraving system.  It
- produces beautiful sheet music using a high level description file as input.
- .
- This package contains the PDF documentation in Spanish for the
- LilyPond music typesetting software.
-
-Package: lilypond-doc-pdf-fr
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: install-info,
-         ${misc:Depends}
-Recommends: evince | pdf-viewer
-Suggests: lilypond (>= ${source:Version})
-Description: LilyPond PDF Documentation in French
- LilyPond is a music typesetter, an automated engraving system.  It
- produces beautiful sheet music using a high level description file as input.
- .
- This package contains the PDF documentation in French for the
- LilyPond music typesetting software.
-
